Bug 90598 - ps2pdf wrongly renders some sequences of text, and maths
ps2pdf wrongly renders some sequences of text, and maths
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-10 04:19 EDT by Paul D. Mitcheson
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-13 08:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test.ps output from oowriter (217.79 KB, text/plain)
2003-09-03 13:36 EDT, Scott R. Godin
no flags Details

  None (edit)
Description Paul D. Mitcheson 2003-05-10 04:19:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1) Gecko/20020920
Netscape/7.0

Description of problem:
ps2pdf generates funny output on some sequences of test input.

I have noticedr:

test in the ps file:

"figures"

renders in the pdf file as:

"fi gures"

Also, dots above equations in (from math mode latex) do not properly align over
the char they are supposed to be over, buf offset to the left.

I will attach a postsctipt file which suffers these problems.

Version-Release number of selected component (if applicable):
ghostscript-7.05-32 

How reproducible:
Always

Steps to Reproduce:
1.take the attched ps file
2.check it's ok in gv
3.run ps2pdf
4. compare the pdf with the ps
5. note the differences!
    

Additional info:

I have not found a work around for this bug, and it is stopping me from
upgrading my current old desktop linux install to a shiney new redhat 9 one!
Comment 1 Paul D. Mitcheson 2003-05-10 04:38:25 EDT
hhmmmm, actually it seems to also depend on which version of latex the original
file was compiled on.  However, the file I will attach will look fine in ps but
render to pdf wrongly.
Comment 2 Scott R. Godin 2003-09-03 13:36:54 EDT
Created attachment 94174 [details]
test.ps output from oowriter

copy of my current resume generated from oowriter in .ps format, that works
fine in ggv, but when run through ps2pdf* the right hand margin disappears, and
the text runs flush with the RHS of the page (as previewed in ggv)
Comment 3 Paul D. Mitcheson 2003-09-13 08:16:14 EDT
ok - solved.

use ps2pdf14

Paul

Note You need to log in before you can comment on or make changes to this bug.